This module integrates the standards-compliant XStandard WYSIWYG editor by Belus Technology, Inc into Drupal.
XStandard meets very high accessibility requirements. See this blog post at Standards Schmandards for a thorough comparison with other WYSIWYG editors. A feature chart is available at the XStandard website.

Note that unlike TinyMCE and FCKeditor this is a browser plug-in that needs to be downloaded and installed on the client.

Supported platforms and browsers

  • For Windows 2000, XP, Vista: IE 5.0+, Firefox 1.0+, Safari 3.0+ or Opera 9.0+
  • For OS X 10.3.9+: Firefox 1.0+ or Safari 1.3+

DRUPAL 6.x USERS: The HTML corrector feature in Drupal 6 causes problems with XStandard and must currently be disabled, see #222926: HTML Corrector filter escapes HTML comments.

For unsupported browsers/platforms a normal textarea input field is displayed.

Direct download links for the browser plug-in

Demo sites

Note that XStandard is a proprietary product and not open source.

There are two versions of XStandard:

  • XStandard Lite (free for commercial use)
  • XStandard Pro (get an evaluation version here)

This module is developed by Henrik Sjökvist and sponsored by Newsfactory

Project Information

Downloads